Bug 215192 - devel/libc++: phase out usage as part of USES=compiler:gcc-c++11-lib
Summary: devel/libc++: phase out usage as part of USES=compiler:gcc-c++11-lib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 215193
  Show dependency treegraph
 
Reported: 2016-12-10 08:49 UTC by Jan Beich
Modified: 2016-12-16 05:11 UTC (History)
2 users (show)

See Also:
jbeich: exp-run?


Attachments
v0 (732 bytes, patch)
2016-12-10 08:49 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-12-10 08:49:07 UTC
Created attachment 177846 [details]
v0

Base libc++/libcxxrt in FreeBSD 10.2+ are compatible enough with lang/gcc that it's no longer necessary to pull the port. Here's current list of direct consumers:

  audio/csound6
  audio/gbsplay
  cad/kicad
  cad/openvsp
  comms/sdr-wspr
  emulators/pipelight
  graphics/qgis
  graphics/shotwell
  graphics/vigra
  math/ceres-solver
  math/octave-forge-parallel
  math/saga
  multimedia/bombono
  net/mediatomb
  print/lilypond-devel
  science/gnudatalanguage
Comment 1 Mathieu Arnold freebsd_committer 2016-12-11 10:16:34 UTC
I'm not sure exactly what you are asking for, but if you wait 21 days, the only releases you have to support is 10.3 and 11.0, so things that are there for 9 and 10.1 will not important any more and can go.
Comment 2 Jan Beich freebsd_committer 2016-12-11 10:52:04 UTC
Delaying progress just because there's an EOL in sight seems like poor engineering. The proposed patch is for libc++-enabled systems and explicitly marked as nop for 10.1. libc++ is *same* on 10.2 and 10.3 systems.
Comment 3 Mathieu Arnold freebsd_committer 2016-12-11 10:58:46 UTC
Well, I never said anything about delaying progress, I was just pointing out that the existing part, which is now in the if < 1001508, goes away in 3 weeks.

So, this patch can go in today (~exp-run) and the support for 10.1 and 9.3 can be removed in three weeks, or we can wait 3 weeks and just commit it without the if < 1001508.
Comment 4 Jan Beich freebsd_committer 2016-12-11 11:52:02 UTC
Can you do an exp-run for 10.3, 11.0 and 12.0 ? Skip 9.x due to libstdc++ and maybe 10.1 unless you want to test together with bug 214863 workaround.
Comment 5 Antoine Brodin freebsd_committer 2016-12-15 20:48:08 UTC
Exp-run looks fine, patch approved.
Comment 6 commit-hook freebsd_committer 2016-12-16 05:08:22 UTC
A commit references this bug:

Author: jbeich
Date: Fri Dec 16 05:08:11 UTC 2016
New revision: 428641
URL: https://svnweb.freebsd.org/changeset/ports/428641

Log:
  Switch USES=compiler:gcc-c++11-lib to use base libc++ on 10.2+ systems

  PR:		215192
  Requested by:	dim
  Exp-run by:	antoine
  Approved by:	antoine

Changes:
  head/Mk/Uses/compiler.mk
  head/audio/csound6/Makefile
  head/audio/gbsplay/Makefile
  head/cad/kicad/Makefile
  head/cad/openvsp/Makefile
  head/comms/sdr-wspr/Makefile
  head/emulators/pipelight/Makefile
  head/graphics/qgis/Makefile
  head/graphics/shotwell/Makefile
  head/graphics/vigra/Makefile
  head/math/ceres-solver/Makefile
  head/math/octave-forge-parallel/Makefile
  head/math/saga/Makefile
  head/multimedia/bombono/Makefile
  head/net/mediatomb/Makefile
  head/print/lilypond-devel/Makefile
  head/science/gnudatalanguage/Makefile